package GestaoBancos;


/**
 * Representa um cliente individual.
 * 
 * @author (Joo Carlos Pascoal Faria) 
 * @version (20 de Fevereiro de 2003)
 */
public class ClienteIndividual extends Cliente
{
    private final int numeroBI;

    public ClienteIndividual(int numero, String nome, int numeroBI)
    {
        super(numero, nome);
        this.numeroBI = numeroBI;
    }

    public int getNumeroBI()
    {
        return numeroBI;
    }
    
    public String toString()
    {
        return "ClienteIndividual(numero=" + numero + ", nome=" + nome + ", numeroBI=" + numeroBI + ")";
    }

}
