import java.util.Vector;

/**
 * Representa um questionrio.
 * 
 * @author Joo Carlos Pascoal Faria
 * @version 18 de Fevereiro de 2003
 */
public class Questionario
{
    /**
     * Conjunto de perguntas que constituem o questionrio
     */
    Vector perguntas;
 
    /**
     * Constri questionrio inicialmente vazio
     */
    public Questionario()
    {
        perguntas = new Vector();
    }

    /**
     * Adiciona uma pergunta ao questionrio
     * 
     * @param  y   a sample parameter for a method
     * @return     the sum of x and y 
     */
    public void adicionaPergunta(Pergunta p)
    {
        perguntas.addElement(p);
    }
    
    public int getNumeroPerguntas()
    {
        return perguntas.size();
    }
    
    /**
     * Obtm uma pergunta de um questionrio
     * 
     * @param  numero   nmero da pergunta (de 1 ao nmero de perguntas)
     * @return     referncia para objecto do tipo Pergunta
     */
  
    public Pergunta getPergunta(int numero)
    {
        return (Pergunta)perguntas.elementAt(numero-1);
    }
 
}
